<?php
/**
 * @name          : Joomla Social Pinboard
 * @version	  : 1.5.0
 * @package       : apptha
 * @since         : Joomla 1.5
 * @author        : Apptha - http://www.apptha.com
 * @copyright     : Copyright (C) 2011 Powered by Apptha
 * @license       : http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @abstract      : Social Pinboard Component Boarddisplay view
 * @Creation Date : March 2013
 * @Modified Date : March 2013
 * */
// No direct Access
defined('_JEXEC') or die('Restricted access');
$document = JFactory::getDocument();
$document->addStyleSheet('templates/wishlogue/html/com_wishlogue/css/style.css');
$document->addStyleSheet('templates/wishlogue/css/style.css');
$app = JFactory::getApplication();
$config = JFactory::getConfig();
$templateparams = $app->getTemplate(true)->params;
$sitetitle = $templateparams->get('sitetitle');
?>

<div id="wrapper">
    <div id="ColumnContainer">
        <div id="container" class="wewish-u-page">
            <h2 class="wwyatitle">We Wish You A...</h2>
            <div class="wewish-left">
			<?php
				//left modules.
				$modules = JModuleHelper::getModules('wishlogue_left_wwya');
				foreach ($modules as $module) {
					echo JModuleHelper::renderModule($module); 
				}
			?>
            </div>
            <div class="wewish-middle">
                <div class="bannerribbon-part">
                    
                    <div class="wwyaribon">
                        <i class="wway-leftrib"></i>
                        
            <?php
				//banner module.
				$modules = JModuleHelper::getModules('wishlogue_banner_wwya');
				foreach ($modules as $module) {
					echo JModuleHelper::renderModule($module); 
				}
            ?>          
                        <i class="wway-rightrib"></i>
                    </div>
                </div>
                <div class="wewish-content">
            <?php
				//component.
				if (isset($this->getwwya)) {
					$getwwya = $this->getwwya;
					echo '<h2 class="wwyacon-title">' . $getwwya->title . '</h2>';
					echo '<h3 class="wwyacon-arthor"><i>by <a href="' . JRoute::_('index.php?option=com_wishlogue&view=cataloguedisplay&uid=' . $getwwya->created_by) . '">' . $getwwya->name . '</a></i></h3>';
					echo '<div id="texteditorcontent">';
                                        echo $getwwya->introtext . $getwwya->fulltext;
                                        echo '</div>';
				} else {
					echo '<p>Sorry.. No Articles Found.. </p>';
				}
            ?>
                </div>
            </div>
            <div class="wewish-right">
			<?php
				//right modules.
				$modules = JModuleHelper::getModules('wishlogue_right_wwya');
				foreach ($modules as $module) {
					echo JModuleHelper::renderModule($module); 
				}
			?>
            </div>
        </div>
    </div>
</div>